Package org.apache.lucene.search.matchhighlight

## Interface OffsetsRetrievalStrategy

- All Known Implementing Classes:
    `OffsetsFromMatchIterator`, `OffsetsFromPositions`, `OffsetsFromTokens`, `OffsetsFromValues`

      public interface OffsetsRetrievalStrategy

  Determines how match offset regions are computed from `MatchesIterator`. Several possibilities exist, ranging from retrieving offsets directly from a match instance to re-evaluating the document's field and recomputing offsets from there.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<OffsetRange>` | `get​(MatchesIterator matchesIterator, MatchRegionRetriever.FieldValueProvider doc)` | Return value offsets (match ranges) acquired from the given `MatchesIterator`.

- - ### Method Detail

    - #### get

          List<OffsetRange> get​(MatchesIterator matchesIterator,
                                MatchRegionRetriever.FieldValueProvider doc)
                         throws IOException

      Return value offsets (match ranges) acquired from the given `MatchesIterator`.
      Throws:
        `IOException`